/* $Header: /src/carson/nistnet/monitor/RCS/hitutil.c,v 1.2 1998/01/23 15:22:15 carson Exp $ */

/* General-purpose utilities of various sorts used by the emulator
 * interface.  (Actually, just one right now.)
 */
#include "xnistnet.h"

/*  General includes */
#include <sys/types.h>
#include <sys/param.h>
#include <stdio.h>                      /*  standard I/O definitions */
#include <math.h>                       /*  standard math definitions */

/* hitbox stuff */
#include <stdlib.h>
#include <linux/ioctl.h>
#include <fcntl.h>
#include <linux/socket.h>
#include <linux/in.h>
#include <linux/inet.h>
#include <linux/netdevice.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <time.h>

#include "nistnetlib.h"

/* fixname - fix up a hostname to standard form */
void
fixname(char *hostname, unsigned long addr)
{
	struct hostent *hent;
	struct in_addr one;

	hent = gethostbyaddr((char *)&addr, sizeof(addr),  AF_INET);
	if (!hent) {	/* maybe they supplied name? */
		hent = gethostbyname(hostname);
		if (!hent) {	/* no luck */
			fprintf(stderr, "Unknown host: %lx\n", addr);
			one.s_addr = addr;
			strcpy(hostname, inet_ntoa(one));
			return;
		}
	}
	strcpy(hostname, hent->h_name);
}
